目次

# SLN Function [VBA]

Returns the straight-line depreciation of an asset for one period. The amount of the depreciation is constant during the depreciation period.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

    SLN (Cost as Double, Salvage as Double, Life as Double)

### Return value:

Double

### Parameters:

Cost is the initial cost of an asset.

Salvage is the value of an asset at the end of the depreciation.

Life is the depreciation period determining the number of periods in the depreciation of the asset.

### Error codes:

5 無効なプロシージャー呼び出しです

### Example:

    REM ***** BASIC *****
    Option VBASupport 1
    Sub ExampleSLN
    REM Calculate the yearly depreciation of an asset that cost $10,000 at
    REM the start of year 1, and has a salvage value of $1,000 after 5 years.
    Dim y_dep As Double
    y_dep = SLN( 10000, 1000, 6 )
    print y_dep ' returns 1500.
    End Sub

関連項目

SLN function in CALC

VBA financial functions